C Fortran example to call TMDlib routines
	Program TMDlibexample
      Integer irep
      character*132 name

C TMDlib declarations      
      Double precision TMDalphas,TMDgetLam4
      Double Precision TMDgetXmin,TMDgetXmax,TMDgetQ2min,TMDgetQ2max
      Integer TMDnumberPDF,TMDgetOrderAlphaS,TMDgetOrderPDF,TMDgetNf
      
      
      integer order
      Double Precision x,xbar,kt,mu,uval,dval,sea,charm,bottom,gluon
      Integer kf
      Write(6,*) ' TMDlib Fortran examples '
      
c      name ="KS-2013-linear"
c     need of //char(0) at the end of the string, since C++ needs null termiantion  
      name ="ccfm-JH-2013-set1"//char(0)
      write(6,*) ' test name = ', name
      irep=0
      call TMDinit(name,irep)
      write(6,*) ' pdf number = ',TMDnumberPDF(name),' for dataset ',name
      mu = 92.
      write(6,*) ' fortran: alphas = ',TMDalphas(mu)
      write(6,*) ' fortran: order = ',TMDgetOrderAlphaS()
      write(6,*) ' fortran: lambda4 = ',TMDgetLam4()
      write(6,*) ' fortran: orderPDF = ',TMDgetOrderPDF()
      write(6,*) ' fortran: Xmin = ', TMDgetXmin()
      write(6,*) ' fortran: Xmax = ', TMDgetXmax()
      write(6,*) ' fortran: Q2min = ', TMDgetQ2min()
      write(6,*) ' fortran: Q2max = ', TMDgetQ2max()
      write(6,*) ' fortran: Nf = ', TMDgetNf()
      x = 0.01 
      xbar = 0 
      kt = 10. 
      mu = 100
      kf = 2212
      call TMDpdf(kf,x,xbar,kt,mu, uval, dval, sea, charm, bottom, gluon);
      write(6,*) ' fortran TMDlib with kf: ',uval,dval,gluon
      Stop
      End
      
